package com.hfkj.service.discount;

import com.hfkj.entity.BsDiscount;

import java.util.List;
import java.util.Map;

/**
 * @className: BsDiscountService
 * @author: HuRui
 * @date: 2024/3/18
 **/
public interface BsDiscountService {

    /**
     * 编辑数据局
     * @param data
     */
    void editData(BsDiscount data);

    /**
     * 编辑优惠券
     * @param discount
     */
    void editDiscount(BsDiscount discount);

    /**
     * 上线优惠券
     * @param discountNo
     */
    void online(String discountNo);

    /**
     * 下线优惠券
     * @param discountNo
     */
    void done(String discountNo);


    /**
     * 删除
     * @param discountNo
     */
    void delete(String discountNo);

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsDiscount getDetail(Long id);

    /**
     * 查询详情
     * @param discountNo
     * @return
     */
    BsDiscount getDetail(String discountNo);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsDiscount> getList(Map<String,Object> param);
}
